import { t as definePluginEntry } from "../../plugin-entry-DysgT_5W.js";
import { t as elevenLabsMediaUnderstandingProvider } from "../../media-understanding-provider-BIWXThVD.js";
import { t as buildElevenLabsRealtimeTranscriptionProvider } from "../../realtime-transcription-provider-CDKuzjX7.js";
import { t as buildElevenLabsSpeechProvider } from "../../speech-provider-i7jK6VcR.js";
//#region extensions/elevenlabs/index.ts
var elevenlabs_default = definePluginEntry({
	id: "elevenlabs",
	name: "ElevenLabs Speech",
	description: "Bundled ElevenLabs speech provider",
	register(api) {
		api.registerSpeechProvider(buildElevenLabsSpeechProvider());
		api.registerMediaUnderstandingProvider(elevenLabsMediaUnderstandingProvider);
		api.registerRealtimeTranscriptionProvider(buildElevenLabsRealtimeTranscriptionProvider());
	}
});
//#endregion
export { elevenlabs_default as default };
